Name:           takari-local-repository
Version:        0.11.2
Release:        1%{?dist}
Summary:        Takari :: Local Repository
License:        EPL
URL:            https://github.com/takari/%{name}
BuildArch:      noarch

Source0:        https://github.com/takari/%{name}/archive/%{name}-%{version}.tar.gz
Source1:        eclipse-1.0.txt

BuildRequires:  maven-local
BuildRequires:  mvn(com.googlecode.multithreadedtc:multithreadedtc)
BuildRequires:  mvn(com.google.guava:guava)
BuildRequires:  mvn(io.takari.maven.plugins:takari-lifecycle-plugin)
BuildRequires:  mvn(io.takari.maven.plugins:takari-plugin-integration-testing:pom:)
BuildRequires:  mvn(io.takari.maven.plugins:takari-plugin-testing)
BuildRequires:  mvn(io.takari:takari-filemanager)
BuildRequires:  mvn(io.takari:takari:pom:)
BuildRequires:  mvn(javax.inject:javax.inject)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.eclipse.aether:aether-api)
BuildRequires:  mvn(org.eclipse.aether:aether-impl)
BuildRequires:  mvn(org.eclipse.aether:aether-spi)
BuildRequires:  mvn(org.eclipse.aether:aether-test-util)
BuildRequires:  mvn(org.slf4j:slf4j-api)
BuildRequires:  mvn(org.slf4j:slf4j-simple)

Obsoletes:      tesla-concurrent-localrepo <= 0.0.3-2

%description
This extension for Aether contains a synchronization context that
employs OS-level file locks to enable safe concurrent access to the
local repository across processes.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.


%prep
%setup -q -n %{name}-%{name}-%{version}

# change dependency scopes from provided to default
%pom_change_dep :::provided :::-

# Downloads stuff from the Internet
rm -r src/test/java/io/takari/aether/localrepo/its

cp %{SOURCE1} .

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license eclipse-1.0.txt

%files javadoc -f .mfiles-javadoc
%license eclipse-1.0.txt

%changelog
* Thu Feb 23 2017 Michael Simacek <msimacek@redhat.com> - 0.11.2-1
- Update to upstream version 0.11.2

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jun 21 2016 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.11.0-4
- Enable tests
- Update to current packaging guidelines

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Mar 11 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.11.0-1
- Update to upstream version 0.11.0

* Sun Aug 31 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.10.2-3
- Fix dependency scopes
- Don't remove sisu-maven-plugin from POM

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun May 25 2014 Gerard Ryan <galileo@fedoraproject.org> - 0.10.2-1
- Package rename to takari-local-repository; update to latest upstream
- Add Obsoletes on tesla-concurrent-localrepo
- Remove sisu-maven-plugin (retired in Fedora)

* Sat Nov 23 2013 Gerard Ryan <galileo@fedoraproject.org> - 0.0.3-1
- Initial rpm
